| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
cv::stereo::StereoBinaryBM Class Referenceabstract

Class for computing stereo correspondence using the block matching algorithm, introduced and contributed to OpenCV by K. Konolige. More...

`#include <opencv2/xstereo.hpp>`

Collaboration diagram for cv::stereo::StereoBinaryBM:

## Public Types
enum | { PREFILTER_NORMALIZED_RESPONSE = 0 , PREFILTER_XSOBEL = 1 }
Public Types inherited from cv::StereoMatcher
enum | { DISP_SHIFT = 4 , DISP_SCALE = (1 << DISP_SHIFT) }

## Public Member Functions
virtual int | getAgregationWindowSize () const =0
virtual int | getBinaryKernelType () const =0
virtual int | getPreFilterCap () const =0
virtual int | getPreFilterSize () const =0
virtual int | getPreFilterType () const =0
virtual int | getScalleFactor () const =0
virtual int | getSmallerBlockSize () const =0
virtual int | getSpekleRemovalTechnique () const =0
virtual int | getTextureThreshold () const =0
virtual int | getUniquenessRatio () const =0
virtual bool | getUsePrefilter () const =0
virtual void | setAgregationWindowSize (int value)=0
virtual void | setBinaryKernelType (int value)=0
virtual void | setPreFilterCap (int preFilterCap)=0
virtual void | setPreFilterSize (int preFilterSize)=0
virtual void | setPreFilterType (int preFilterType)=0
virtual void | setScalleFactor (int factor)=0
virtual void | setSmallerBlockSize (int blockSize)=0
virtual void | setSpekleRemovalTechnique (int factor)=0
virtual void | setTextureThreshold (int textureThreshold)=0
virtual void | setUniquenessRatio (int uniquenessRatio)=0
virtual void | setUsePrefilter (bool factor)=0
Public Member Functions inherited from cv::StereoMatcher
virtual void | compute (InputArray left, InputArray right, OutputArray disparity)=0
| Computes disparity map for the specified stereo pair.
virtual int | getBlockSize () const =0
virtual int | getDisp12MaxDiff () const =0
virtual int | getMinDisparity () const =0
virtual int | getNumDisparities () const =0
virtual int | getSpeckleRange () const =0
virtual int | getSpeckleWindowSize () const =0
virtual void | setBlockSize (int blockSize)=0
virtual void | setDisp12MaxDiff (int disp12MaxDiff)=0
virtual void | setMinDisparity (int minDisparity)=0
virtual void | setNumDisparities (int numDisparities)=0
virtual void | setSpeckleRange (int speckleRange)=0
virtual void | setSpeckleWindowSize (int speckleWindowSize)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Static Public Member Functions
static Ptr< cv::stereo::StereoBinaryBM > | create (int numDisparities=0, int blockSize=9)
| Creates StereoBM object.
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class for computing stereo correspondence using the block matching algorithm, introduced and contributed to OpenCV by K. Konolige.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
PREFILTER_NORMALIZED_RESPONSE |
PREFILTER_XSOBEL |

## Member Function Documentation

## ◆ create()

static Ptr< cv::stereo::StereoBinaryBM > cv::stereo::StereoBinaryBM::create | ( | int | numDisparities = 0,
|  | int | blockSize = 9 )
| static

Creates StereoBM object.

Parameters

  numDisparities | the disparity search range. For each pixel algorithm will find the best disparity from 0 (default minimum disparity) to numDisparities. The search range can then be shifted by changing the minimum disparity.
  blockSize | the linear size of the blocks compared by the algorithm. The size should be odd (as the block is centered at the current pixel). Larger block size implies smoother, though less accurate disparity map. Smaller block size gives more detailed disparity map, but there is higher chance for algorithm to find a wrong correspondence.

The function create StereoBM object. You can then call StereoBM::compute() to compute disparity for a specific stereo pair.

## ◆ getAgregationWindowSize()

virtual int cv::stereo::StereoBinaryBM::getAgregationWindowSize | ( |  | ) | const
| pure virtual

## ◆ getBinaryKernelType()

virtual int cv::stereo::StereoBinaryBM::getBinaryKernelType | ( |  | ) | const
| pure virtual

## ◆ getPreFilterCap()

virtual int cv::stereo::StereoBinaryBM::getPreFilterCap | ( |  | ) | const
| pure virtual

## ◆ getPreFilterSize()

virtual int cv::stereo::StereoBinaryBM::getPreFilterSize | ( |  | ) | const
| pure virtual

## ◆ getPreFilterType()

virtual int cv::stereo::StereoBinaryBM::getPreFilterType | ( |  | ) | const
| pure virtual

## ◆ getScalleFactor()

virtual int cv::stereo::StereoBinaryBM::getScalleFactor | ( |  | ) | const
| pure virtual

## ◆ getSmallerBlockSize()

virtual int cv::stereo::StereoBinaryBM::getSmallerBlockSize | ( |  | ) | const
| pure virtual

## ◆ getSpekleRemovalTechnique()

virtual int cv::stereo::StereoBinaryBM::getSpekleRemovalTechnique | ( |  | ) | const
| pure virtual

## ◆ getTextureThreshold()

virtual int cv::stereo::StereoBinaryBM::getTextureThreshold | ( |  | ) | const
| pure virtual

## ◆ getUniquenessRatio()

virtual int cv::stereo::StereoBinaryBM::getUniquenessRatio | ( |  | ) | const
| pure virtual

## ◆ getUsePrefilter()

virtual bool cv::stereo::StereoBinaryBM::getUsePrefilter | ( |  | ) | const
| pure virtual

## ◆ setAgregationWindowSize()

virtual void cv::stereo::StereoBinaryBM::setAgregationWindowSize | ( | int | value | ) |
| pure virtual

## ◆ setBinaryKernelType()

virtual void cv::stereo::StereoBinaryBM::setBinaryKernelType | ( | int | value | ) |
| pure virtual

## ◆ setPreFilterCap()

virtual void cv::stereo::StereoBinaryBM::setPreFilterCap | ( | int | preFilterCap | ) |
| pure virtual

## ◆ setPreFilterSize()

virtual void cv::stereo::StereoBinaryBM::setPreFilterSize | ( | int | preFilterSize | ) |
| pure virtual

## ◆ setPreFilterType()

virtual void cv::stereo::StereoBinaryBM::setPreFilterType | ( | int | preFilterType | ) |
| pure virtual

## ◆ setScalleFactor()

virtual void cv::stereo::StereoBinaryBM::setScalleFactor | ( | int | factor | ) |
| pure virtual

## ◆ setSmallerBlockSize()

virtual void cv::stereo::StereoBinaryBM::setSmallerBlockSize | ( | int | blockSize | ) |
| pure virtual

## ◆ setSpekleRemovalTechnique()

virtual void cv::stereo::StereoBinaryBM::setSpekleRemovalTechnique | ( | int | factor | ) |
| pure virtual

## ◆ setTextureThreshold()

virtual void cv::stereo::StereoBinaryBM::setTextureThreshold | ( | int | textureThreshold | ) |
| pure virtual

## ◆ setUniquenessRatio()

virtual void cv::stereo::StereoBinaryBM::setUniquenessRatio | ( | int | uniquenessRatio | ) |
| pure virtual

## ◆ setUsePrefilter()

virtual void cv::stereo::StereoBinaryBM::setUsePrefilter | ( | bool | factor | ) |
| pure virtual

The documentation for this class was generated from the following file:

- opencv2/xstereo.hpp